Class List Method List File List

# Class: OSX::NSImage

Inherits:
  Object
  - Object
  - OSX::NSImage
  show all
Defined in:
  src/ruby/osx/objc/oc_attachments_appkit.rb

## Overview

NSImage additions

## Instance Method Summary (collapse)

- - (Object) focus

## Instance Method Details

### - (`Object`) focus

    12
    13
    14
    15
    16
    17
    18
    19
    # File 'src/ruby/osx/objc/oc_attachments_appkit.rb', line 12

    def focus
      lockFocus
      begin
        yield
      ensure
        unlockFocus
      end
    end